%define	origname TwistedNames

Name: python-module-twisted-names
Version: 10.1.0
Release: alt1
%setup_python_module twisted-names
Summary:        A Twisted DNS implementation

Group:          Development/Python
License:        MIT
URL:            http://www.twistedmatrix.com
Packager:	Sergey Alembekov <rt@altlinux.ru>
Source0:        http://tmrc.mit.edu/mirror/twisted/Names/10.1/%origname-%version.tar.bz2

BuildRequires:  python-module-twisted-core >= 10.1.0
BuildRequires:  python-devel

Requires:       python-module-twisted-core

%description
Twisted is an event-based framework for internet applications.

Twisted Names is both a domain name server as well as a client
resolver library. Twisted Names comes with an "out of the box"
nameserver which can read most BIND-syntax zone files as well as a
simple Python-based configuration format. Twisted Names can act as an
authoritative server, perform zone transfers from a master to act as a
secondary, act as a caching nameserver, or any combination of
these. Twisted Names' client resolver library provides functions to
query for all commonly used record types as well as a replacement for
the blocking gethostbyname() function provided by the Python stdlib
socket module.

%package tests
Summary: Tests for Twisted Names
Group: Development/Python
Requires: %name = %version-%release

%description tests
Twisted is an event-based framework for internet applications.

Twisted Names is both a domain name server as well as a client
resolver library. Twisted Names comes with an "out of the box"
nameserver which can read most BIND-syntax zone files as well as a
simple Python-based configuration format. Twisted Names can act as an
authoritative server, perform zone transfers from a master to act as a
secondary, act as a caching nameserver, or any combination of
these. Twisted Names' client resolver library provides functions to
query for all commonly used record types as well as a replacement for
the blocking gethostbyname() function provided by the Python stdlib
socket module.

This package contains tests for Twisted Names.

%prep
%setup -n %origname-%version
chmod 644 doc/examples/dns-service.py
chmod 644 doc/examples/gethostbyname.py

%build
%python_build

%install
#%__python setup.py install --root $RPM_BUILD_ROOT
%python_install -O1 --install-purelib %python_sitelibdir

%files
%doc README LICENSE doc/*

%python_sitelibdir/twisted/names/
%exclude %python_sitelibdir/twisted/names/test
%python_sitelibdir/Twisted_Names-*.egg-info
%python_sitelibdir/twisted/plugins/twisted_names.py*

%files tests
%python_sitelibdir/twisted/names/test

%changelog
* Tue Aug 03 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 10.1.0-alt1
- Version 10.1.0
- Extracted tests into separate package

* Wed Nov 11 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 8.2.0-alt1.1
- Rebuilt with python 2.6

* Mon Oct 19 2009 Sergey Alembekov <rt@altlinux.ru> 8.2.0-alt1
- new version 8.2.0 

* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 0.4.0-alt1
- Build for new upstream version
